Subject: Re: Shell scripts?
From: [email-masked] (Jan Linnell)

27 Jan 1997 06:52:12 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (X11; I; OSF1 V3.2 alpha)
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

Re:
> 
> On my computer it works both ways. Your error message suggests that you
> do not have the current directory (.) in your path. Please verify this.
> 

I do have . in my path, I have found a strange work-around though:

If I from the shell prompt exec another bash
(e.g. put a exec /...../bash.exe in my .bash_profile file)
then I can execute shell scripts "directly".

Have not found out if something like
#!/usr/local/bin/perl.exe could work

This is somewhat annoying because I can even obtain "direct execution"
of perl scripts from the (black!-) DOS-command window by adding .pl to
PATHEXT and adding perl "%1" %* as open method for the .pl extention.

/jan

BTW: all this is happening on a WinNT 4.0 if this matters. 

-- 
Jan Linnell                    | [email-masked]
-------------------------------+------------------------
OM Technology AB               | Tel +46 8 700 06 95
Sweden                         | Fax +46 8 723 10 92
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".